%define name    xmerlin
%define version 0.9b
%define tver    0.9
%define release 3mdk

Summary: Character recognition engine for X11 devices
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{tver}_public.tar.bz2
URL: http://www.hellkvist.org/software/index.php3#XMerlin
License: GPL
Group: System/XFree86
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
XMerlin is a simple character recognition engine for X11-based Web pads
and such devices where a regular keyboard is not an option. You write your
characters in a window, and after recognition the character is sent to the
window in focus, which could we an editor, web browser, or any other
window/widget that accepts SendEvents.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{tver}_public

%build
# modify Makefile
perl -pi -e "s|/usr/local/share/merlin|\\$\(INSTALL_PREFIX)/share/merlin||g;" Makefile
perl -pi -e "s|/usr/X11R6/bin|\\$\(INSTALL_PREFIX)/bin||g;" Makefile
perl -pi -e "s|-O2 -Wall |\\$\(OTHER_CFLAGS) -O2 -Wall ||g;" Makefile

# build
make OTHER_CFLAGS="$RPM_OPT_FLAGS" INSTALL_PREFIX=%{prefix}

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,share/merlin}/
make INSTALL_PREFIX=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* COPYING INSTALL WHATISNEW
%{_bindir}/*
%dir %{_datadir}/merlin/
%{_datadir}/merlin/*

%changelog
* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.9b-3mdk
- rebuild

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9b-2mdk
- rebuild

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9b-1mdk
- used srpm from rufus t firefly :
	Thu Sep 28 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
	v0.9b (initial packaging)
